# User registration

Ushio-Net uses the Ushio system for user management.

If you have not registered, please [click here](https://login.yimian.xyz/?require=tel) to register.


# Authorization

After completing the registration, please contact me (WeChat or [Mail](mailto:i@iotcat.me)) to authorize you.

Taking into account the particularity of the service, in principle, <mark>Ushio-Net only authorizes people who meet one of the following conditions</mark>.
  -People I know
  -Someone my friend knows
  -Members of XJTLU
  -Members of University of Liverpool
  -Members of Cornell University


!> The user must promise to **never use this service for any behavior that may endanger China's national security**!


# Configure the client
## introduce

<!-- tabs:start -->

#### **Win10**

Win10 has some open source graphical clients that support the V2ray kernel, such as [V2RayN](https://github.com/2dust/v2rayN), [V2RayW](https://github.com/Cenmrev/V2RayW), [clash ](https://github.com/Fndroid/clash_for_windows_pkg), [Qv2ray](https://github.com/lhy0403/Qv2ray), [Mellow](https://github.com/mellow-io/mellow) Wait.

This article will introduce how to configure <mark>V2RayN<sub>V3.21</sub></mark> as your Ushio-Net client.



#### **Android**

Android has some graphical clients that support the V2ray kernel, such as [V2RayNG](https://github.com/2dust/v2rayNG), [BifrostV](https://play.google.com/store/apps/details? id=com.github.dawndiy.bifrostv), [Kitsunebi](https://play.google.com/store/apps/details?id=fun.kitsunebi.kitsunebi4android&hl=en_US) etc.

This article will introduce how to configure <mark>V2RayNG<sub>V1.6.16</sub></mark> as your Ushio-Net client.


#### **IOS/IPad**

IOS/IPad has some graphical clients that support the V2ray kernel, such as [Shadowrocket](https://itunes.apple.com/us/app/shadowrocket/id932747118?mt=8), [i2Ray](https:// itunes.apple.com/us/app/i2ray/id1445270056?mt=8), [Kitsunebi](https://itunes.apple.com/us/app/kitsunebi-proxy-utility/id1446584073?mt=8) etc. .

This article will introduce how to configure <mark>Shadowrocket<sub>V2.1.83</sub></mark> as your Ushio-Net client.


#### **Mac**

Mac has some open source graphical clients that support the V2ray kernel, such as [V2RayU](https://github.com/yanue/V2rayU), [V2RayX](https://github.com/Cenmrev/V2RayX), [V2RayC ](https://github.com/gssdromen/V2RayC) etc.

Since I do not have a Mac device in my hand, I do not provide a Mac configuration tutorial for the time being, only a domestic download link of V2RayU is provided.



#### **Linux**

Linux has some open source graphical clients that support the V2ray kernel, such as [Qv2ray](https://github.com/lhy0403/Qv2ray), [Mellow](https://github.com/mellow-io/mellow), etc. .

Since I do not have a Linux device in my hand, I do not provide a Linux configuration tutorial for the time being. Please explore the configuration yourself!
<!-- tabs:end -->

## download apps

Please download and install the client from the link below!


<!-- tabs:start -->

#### **Win10**
 -[V2RayN download link](https://onedrive.yimian.xyz/packages/programs/all/v2ray/Windows_v2rayN-Core.zip)
 -[V2Ray alternate link](https://github.com/2dust/v2rayN/releases/download/3.21/v2rayN-Core.zip)
 -[V2Ray Backup Link 2](https://proxy.yimian.xyz/get/?url=aHR0cHM6Ly9naXRodWIuY29tLzJkdXN0L3YycmF5Ti9yZWxlYXNlcy9kb3dubG9hZC8zLjIxL3ppycmF5L3PycmF5)

#### **Android**

 -[V2RayNG download link](https://onedrive.yimian.xyz/packages/programs/all/v2ray/Android_v2rayNG_1.6.16.apk)
 -[V2Ray alternate link](https://github.com/2dust/v2rayNG/releases/download/1.6.16/v2rayNG_1.6.16.apk)
 -[V2Ray Standby Link 2](https://proxy.yimian.xyz/get/?url=aHR0cHM6Ly9naXRodWIuY29tLzJkdXN0L3YycmF5TkcvcmVsZWFzZXMvZG93bmxvYWQvMS42LjEwE5Ew3Yycm)

#### **IOS/IPad**

Please refer to [this link](https://shadowsockshelp.github.io/ios/).


#### **Mac**

 -[V2RayU download link](https://onedrive.yimian.xyz/packages/programs/all/v2ray/Mac_V2rayU.dmg)
 -[V2RayU alternate link](https://github.com/yanue/V2rayU/releases/download/2.3.1/V2rayU.dmg)
 -[V2RayU Backup Link 2](https://proxy.yimian.xyz/get/?url=aHR0cHM6Ly9naXRodWIuY29tL3lhbnVlL1YycmF5VS9yZWxlYXNlcy9kb3dubG9hZC8yLjMuMS9WMnJheV)


#### **Linux**

<!-- tabs:end -->

## Install the client

!> Please make sure that there is no other V2Ray software running on your device! !

<!-- tabs:start -->

#### **Win10**

1. Please unzip the downloaded compressed file to your computer, such as `C:\v2ray\v2rayN-Core`.
1. Double-click to open `C:\v2ray\v2rayN-Core\v2rayN.exe` or `C:\v2ray\v2rayN-Core\v2rayN`.


#### **Android**

Please install the downloaded installation package.

?> If you are prompted that it cannot be installed, please enable it from the phone settings **Allow installation of external source applications**

#### **IOS/IPad**

Please download and install Shadowrocket according to the above URL.


#### **Mac**



#### **Linux**



<!-- tabs:end -->


## Setting up the client

!> If you encounter any problems, please leave a message in the comment area below!

<!-- tabs:start -->

#### **Win10**

1. Please find the V icon! [v2rayN icon](/img/v2rayN_ico.png) in the **taskbar** at the bottom right corner of the screen and click.
?> **Note** The taskbar may be automatically collapsed, please expand the taskbar to find!
1. In the pop-up window, select <mark>Parameter Settings</mark>.
1. Find the v2rayN setting, and check the <mark>Startup at boot</mark>.
1. Click the <mark>OK</mark> button.

#### **Android**

1. Open v2rayNG.
1. Click the three dots in the upper right corner and select <mark>Delete all configurations</mark>.
1. Go to mobile phone system settings->>application->>application startup management, turn off the system's automatic management of V2RayNG, and give V2RayNG all permissions (allowing self-starting, allowing associated startup, allowing background activities, etc.)! ! !

?> Here I use the steps of the Huawei system, similar to other mobile phones.

?> For some mobile phones (such as Huawei), you can set v2rayNG as the notification bar resident, so that you can switch V2RayNG as convenient as switching WiFi.



#### **IOS/IPad**

1. Open Shadowrocket.


#### **Mac**

#### **Linux**

<!-- tabs:end -->
## Subscribe to Ushio-Net



<!-- tabs:start -->

#### **Win10**

1. [Click here](https://v2ray.yimian.xyz/) to view your Ushio-Net subscription information.
1. Please click the <mark>Copy</mark> button on the webpage.
1. Back to the main page of V2RayN, click on the above <mark>Subscription->>Subscription Settings</mark>.
1. In the subscription settings window, click <mark>Add</mark> at the bottom left.
1. Paste the copied content into the <mark>address</mark>.
1. Click <mark>OK</mark> below.
1. Back to the main page of V2RayN, click on the above <mark>Subscribe->>Update Subscription</mark>.
1. If a new server appears in the main window, it means that the subscription is successful.


#### **Android**


1. Use your mobile browser to open [https://v2ray.yimian.xyz](https://v2ray.yimian.xyz/) to view your Ushio-Net subscription information.
1. Please click the <mark>Copy</mark> button on the webpage.
1. Reopen the main page of V2RayNG and click on the three bars at the top left of <mark>->>Subscription Settings</mark>.
1. Click on the <mark>plus sign</mark> at the top right.
1. Paste the content just copied from the webpage into the <mark>address</mark>.
1. Just fill in something in the remarks.
1. Click <mark>the check mark in the upper right corner</mark>.
1. Back to the main page, click on the three dots in the upper right corner of <mark>->>Update Subscription</mark>.
1. If a new server is observed on the main page, it means that the subscription is successful.



#### **IOS/IPad**

1. Open [https://v2ray.yimian.xyz](https://v2ray.yimian.xyz/) with IOS/IPad browser to view your Ushio-Net subscription information.
1. Please click the <mark>Copy</mark> button on the webpage.
1. Reopen the main page of Shadowrocket and click <mark>the plus sign in the upper right corner</mark>.
1. Type select <mark>Subscribe</mark>.
1. Paste the content just copied from the web page into <mark>URL</mark>.
1. Go back to the main page and click on the newly appeared server node (usually `api.yimian.xyz`).
1. If multiple new servers appear below, it means that the subscription is successful.


#### **Mac**

#### **Linux**

<!-- tabs:end -->



----------------

## Configure the client-access to the external network


!> **Note** The current access to the Internet is domestic. <mark>Visit domestic from abroad [see below](/usage?id=Configure client-return to China)</mark>.



<!-- tabs:start -->

#### **Win10**

1. On the main page of V2rayN, **right-click** the server whose alias is <mark>Los_Angeles</mark>, and select <mark>Set as Active Server</mark>.
1. On the main page of V2RayN, click on the above <mark>Parameter Settings</mark>.
1. Click <mark>Core:Routing Settings</mark>.
1. Click <mark>One-click to set default custom routing rules</mark>.
1. <mark>Domain name resolution strategy</mark> is set to <mark>IPIfNonMatch</mark>.
1. Click <mark>OK</mark> below.


#### **Android**

1. On the main page of V2RayNG, click <mark>three bars in the upper left corner ->>Settings</mark>.
1. Click <mark>Sub-application proxy</mark> and make sure the <mark>Sub-application proxy</mark> option is turned on.
1. In the sub-application proxy, click the three dots in the upper right corner of <mark>->>Automatically select the application to be proxy</mark>.
1. At this time, some applications should be selected. You can fine-tune it according to your needs and choose the APP that you think needs to be over the wall.
1. Click the arrow in the upper left corner to return to the settings page.
1. On the settings page, find the <mark>domain name strategy</mark> and set it to <mark>IPIfNonMatch</mark>.
1. On the settings page, find the <mark>predefined rules</mark> and set it to <mark>bypass LAN and mainland addresses</mark>.
1. Return to the main page, click to select the item `Los_Angeles`, and make the left side of it turn green.

#### **IOS/IPad**

1. On the main page of Shadowrocket, click <mark>Configuration</mark> below.
1. Click <mark>Restore default configuration</mark>, and click <mark>OK</mark> in the pop-up window.
1. On the main Shadowrocket page, click on the <mark>Homepage</mark> below.
1. Click on `Los_Angeles` to make a yellow dot appear on the left side of it.
1. Click <mark>Global Routing->>Configuration</mark>.


#### **Mac**

#### **Linux**

<!-- tabs:end -->




## Use Ushio-Net-Access to the Internet



<!-- tabs:start -->

#### **Win10**

**Enable Internet access**

-Please find the V icon in the **taskbar** at the bottom right corner of the screen! [v2rayN icon](/img/v2rayN_ico.png) and click <mark>**right click**</mark>, select <mark>Http proxy- >>Open Http proxy, and automatically configure the system proxy (global mode)</mark>.


?> After completing this operation, you will be able to use your browser to access Google and other services. Domestic websites will be connected directly without going through a proxy. This mode is <mark>**recommended for long-term use**</mark>!


**Close Internet access**

-Please find the V icon in the **taskbar** at the bottom right corner of the screen! [v2rayN icon](/img/v2rayN_ico_red.png) and click <mark>**right click**</mark>, select <mark>Http Proxy- >>Close Http proxy</mark>.

?> After completing this operation, you will not be able to access Google and other services, but domestic websites can be accessed normally.



#### **Android**

**Enable Internet access**

 -On the main page of V2RayNG, click the V icon in the lower right corner to turn it green.

?> After completing this operation, the APP you configured will be able to access Google and other services. Domestic websites will be connected directly without going through a proxy. This mode is <mark>**recommended for long-term use**</mark>!

?> For some mobile phones such as Huawei, you can also directly click the V icon in the status bar to start the service.

**Close Internet access**

 -On the main page of V2RayNG, click the V icon in the lower right corner to make it gray.

?> After completing this operation, V2rayNG will be closed, and all your apps will not be able to access Google and other services. !



#### **IOS/IPad**

**Enable Internet access**

-Open the Shadowrocket homepage, click the first item above <mark>not connected</mark> to make it display <mark>Los_Angeles</mark>.


?> After completing this operation, you will be able to access Google and other services. Domestic websites will be connected directly without going through a proxy. This mode is <mark>**recommended for long-term use**</mark>!


**Close Internet access**

-Open the Shadowrocket homepage, click the first item above <mark>Los_Angeles</mark> to make it display <mark>not connected</mark>.

?> After completing this operation, you will not be able to access Google and other services, but domestic websites can be accessed normally.



#### **Mac**

#### **Linux**

<!-- tabs:end -->

---------------------
---------------

## Configure Client-Return to China


!> **Attention** This is a foreign visit to China. <mark>Visit abroad from domestic [see above](/usage?id=Configure client-access external network)</mark>.


<!-- tabs:start -->

#### **Win10**

1. On the main page of V2rayN, **right-click** the server aliased as <mark>China-Taian</mark>, and select <mark>Set as Active Server</mark>.
1. On the main page of V2RayN, click on the above <mark>Parameter Settings</mark>.
1. Click <mark>Core:Routing Settings</mark>.
1. **Delete** all the contents in <mark>Domian or IP of the proxy</mark>.
1. **Delete** all content in <mark>Domian or IP directly connected</mark>.
1. <mark>Predefined rules</mark> are set to <mark>global</mark>.
1. <mark>Domain name resolution strategy</mark> is set to <mark>IPIfNonMatch</mark>.
1. Click <mark>OK</mark> below.


#### **Android**


1. On the main page of V2RayNG, click <mark>three bars in the upper left corner ->>Settings</mark>.
1. Click <mark>Sub-application proxy</mark> and make sure the <mark>Sub-application proxy</mark> option is turned on.
1. On the sub-app proxy page, select all the apps that you think need to go back to China to break the IP copyright restrictions.
1. Click the arrow in the upper left corner to return to the settings page.
1. On the settings page, find the <mark>domain name strategy</mark> and set it to <mark>IPIfNonMatch</mark>.
1. On the settings page, find the <mark>predefined rules</mark> and set it to <mark>bypass the LAN address</mark>.
1. Return to the main page, click to select the item `China-Taian`, and make the left side of it turn green.


#### **IOS/IPad**


1. On the homepage of Shadowrocket, click on `China-Taian` to make a yellow dot appear on the left side of it.
1. Click <mark>Global Routing->>Proxy</mark>.


#### **Mac**

#### **Linux**

<!-- tabs:end -->


## Use Ushio-Net-Return to China



<!-- tabs:start -->

#### **Win10**

**Enable access to China**

-Please find the V icon in the **taskbar** at the bottom right corner of the screen! [v2rayN icon](/img/v2rayN_ico.png) and click <mark>**right click**</mark>, select <mark>Http proxy- >>Open Http proxy, and automatically configure the system proxy (global mode)</mark>.


?> After completing this operation, you will be able to break IP restrictions to access domestic resources. However, the access speed of foreign websites will decrease. This mode is <mark>**not recommended for long-term use**</mark>! Please turn it on again when needed! !


**Close access to domestic**

-Please find the V icon in the **taskbar** at the bottom right corner of the screen! [v2rayN icon](/img/v2rayN_ico_red.png) and click <mark>**right click**</mark>, select <mark>Http Proxy- >>Close Http proxy</mark>.

?> After completing this operation, you will not be able to break the IP limit of domestic resources, but foreign websites will be restored to the previous access speed. <mark>**It is recommended to use this mode when you do not need to access domestic resources**</mark>!



#### **Android**

**Open the visit to return to the country**

 -On the main page of V2RayNG, click the V icon in the lower right corner to turn it green.

?> After completing this operation, the APP you configured will be able to use the domestic IP to access resources, thereby breaking the IP copyright restrictions. Foreign websites will be connected directly without going through a proxy. This mode is <mark>**recommended for long-term use**</mark>!

?> For some mobile phones such as Huawei, you can also directly click the V icon in the status bar to start the service.

**Close foreign visits and return to China**

 -On the main page of V2RayNG, click the V icon in the lower right corner to make it gray.

?> After completing this operation, V2rayNG will be closed, and your domestic APP will not be able to break the IP copyright restrictions!


#### **IOS/IPad**


**Open the visit to return to the country**

-Open the Shadowrocket homepage, click the first item above <mark>not connected</mark> to make it display <mark>China-Taian</mark>.


?> After completing this operation, all your apps will be able to use domestic IP to access resources, thus breaking IP copyright restrictions. Foreign websites and APPs will be directly connected without going through a proxy. This mode is <mark>**recommended for long-term use**</mark>!

**Close the visit and return to the country**

-Open the Shadowrocket homepage, click on the first item above <mark>China-Taian</mark> to make it display <mark>not connected</mark>.

?> After completing this operation, V2rayNG will be closed, and your APP will not be able to break the IP copyright restrictions!

#### **Mac**

#### **Linux**

<!-- tabs:end -->



---------------
----------------

[<kbd>&rarr;</kbd> Next](/en/advanced)